%define upstream_name Test-Inline
%define upstream_version 2.214

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    %mkrel 3
Summary:    Inlining your tests next to the code being tested
License:    GPL or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:     https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Algorithm::Dependency) >= 1.20.0
BuildRequires: perl(Algorithm::Dependency::Item)
BuildRequires: perl(Algorithm::Dependency::Ordered)
BuildRequires: perl(Algorithm::Dependency::Source)
BuildRequires: perl(Config::Tiny) >= 2.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Rule) >= 0.260.0
BuildRequires: perl(File::Flat) >= 1.0.0
BuildRequires: perl(File::Remove) >= 0.370.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::chmod) >= 0.310.0
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long) >= 2.340.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(List::Util) >= 1.190.0
BuildRequires: perl(Params::Util) >= 0.210.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::ClassAPI) >= 1.20.0
BuildRequires: perl(Test::More) >= 0.420.0
BuildRequires: perl(Test::Script) >= 1.20.0
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

Obsoletes:  Test-Inline

# Filter duplicate unversioned requires
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(File::Slurp\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(File::Spec\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(List::Util\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Params::Util\\)$

%description
Embedding tests allows tests to be placed near the code it's
testing. This is a nice supplement to the traditional .t files.
It's like XUnit, Perl-style.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
chmod 644 Changes README
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/inline2test
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.214-3.mga10
+ Revision: 2206858
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 2.214-2.mga9
+ Revision: 1814148
- Mageia 9 Mass Rebuild

* Fri Feb 26 2021 tv <tv> 2.214-1.mga9
+ Revision: 1692136
- update to 2.214

* Wed Feb 12 2020 umeabot <umeabot> 2.213-13.mga8
+ Revision: 1506422
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 2.213-12.mga7
+ Revision: 1286664
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 2.213-11.mga7
+ Revision: 1166785
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 2.213-10.mga7
+ Revision: 1154136
- fix build with perl-5.26

* Sun Jun 19 2016 pterjan <pterjan> 2.213-9.mga6
+ Revision: 1034302
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 2.213-8.mga6
+ Revision: 935732
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.213-7.mga5
+ Revision: 741418
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 2.213-6.mga5
+ Revision: 736008
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.213-5.mga5
+ Revision: 686463
- Mageia 5 Mass Rebuild

* Tue Jun 10 2014 jquelin <jquelin> 2.213-4.mga5
+ Revision: 635398
- remove rpm with old name from repository

* Mon Oct 21 2013 umeabot <umeabot> 2.213-3.mga4
+ Revision: 537472
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 2.213-2.mga4
+ Revision: 487074
- Fix name
- update to 2.213

* Sun Jan 13 2013 umeabot <umeabot> 2.212-2.mga3
+ Revision: 373566
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 25 2011 jquelin <jquelin> 2.212-1.mga1
+ Revision: 38709
- mageia rebuild
- cleaning spec file
- imported package perl-Test-Inline


* Sun Nov 28 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.212-1mdv2011.0
+ Revision: 602392
- update to new version 2.212

* Wed Jul 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.211-1mdv2010.0
+ Revision: 396225
- update to new version 2.211

* Thu May 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.210-1mdv2010.0
+ Revision: 378239
- update to new version 2.210

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.209-1mdv2010.0
+ Revision: 370200
- update to new version 2.209

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 2.208-4mdv2009.0
+ Revision: 258515
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 2.208-3mdv2009.0
+ Revision: 246536
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.208-1mdv2008.1
+ Revision: 119229
- update to new version 2.208

* Wed Aug 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.207-1mdv2008.0
+ Revision: 69249
- update to new version 2.207

* Fri Aug 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.205-1mdv2008.0
+ Revision: 65330
- new version


* Thu Jan 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.201-1mdv2007.0
+ Revision: 110177
- fix buildrequires
- new version

* Wed Nov 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.105-1mdv2007.1
+ Revision: 84320
- new release
- Import perl-Test-Inline

* Wed Aug 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.103-3mdv2007.0
- Rebuild

* Sat Apr 29 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.103-2mdk
- Fix SPEC according to Perl Policy
    - BuildRequires
    - Source URL
- use mkrel

* Fri Sep 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.103-1mdk
- New release 2.103
- fix directory ownership

* Sat Sep 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.102-2mdk
- Fix file permissions

* Sat Sep 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.102-1mdk
- New version 2.102

* Thu Sep 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.101-1mdk
- New release 2.101

* Fri Jul 15 2005 Oden Eriksson <oeriksson@mandriva.com> 0.16-1mdk
- initial Mandriva package

